Update Tag
curl --request PATCH \
--url https://api.us.lexful.app/v1/tags/{tagId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Account-ID: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"color": "<string>",
"asset_types": [
"<string>"
]
}
'import requests
url = "https://api.us.lexful.app/v1/tags/{tagId}"
payload = {
"name": "<string>",
"description": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"color": "<string>",
"asset_types": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"X-Account-ID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Account-ID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
description: '<string>',
parent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
color: '<string>',
asset_types: ['<string>']
})
};
fetch('https://api.us.lexful.app/v1/tags/{tagId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_system": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"color": "<string>",
"restricted": true,
"asset_types": [
"<string>"
],
"deleted_at": "2023-11-07T05:31:56Z"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}Tags
Update Tag
Update a tag
PATCH
/
v1
/
tags
/
{tagId}
Update Tag
Authorizations
Bearer token
Account ID
Path Parameters
Tag ID
Body
application/json
Tag name
Required string length:
1 - 100Tag description (set to null to clear)
Maximum string length:
500Parent tag ID (set to null to convert to root tag)
Hex color code (e.g., #FF5733)
Pattern:
^#[0-9A-Fa-f]{6}$Asset type names this tag is constrained to (null to clear constraints)
Response
Default Response
Tag unique identifier
Tag name
Whether this is a system-managed tag
Creation timestamp
Last update timestamp
User ID who created the tag
User ID who last updated the tag
Optional description for the tag
Parent tag ID (null for root tags)
Hex color code (e.g., #FF5733)
Pattern:
^#[0-9A-Fa-f]{6}$When true, only users/groups in the tag access grants can see assets carrying this tag
Asset type names this tag is constrained to (empty = applies to all)
Deletion timestamp (soft delete)
Was this page helpful?
⌘I